package com.yonge.cooleshow.biz.dal.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.cooleshow.biz.dal.vo.CouponIssueUserVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *
 * @author Eric
 * @since 2022-09-02
 */
@Repository
public interface SysUserMapper extends BaseMapper<SysUser> {

    /**
     * 获取能发放优惠券的用户信息
     *
     * @param iPage
     * @param client  客户端类型
     * @param keyword 查询条件
     * @return
     */
    List<CouponIssueUserVo> queryCouponIssueUser(@Param("iPage") IPage<CouponIssueUserVo> iPage, @Param(
            "client") ClientEnum client, @Param("keyword") String keyword);
}
